BMD SDK Atem 1 ME Production Studio 4k

Ask software engineering and SDK questions for developers working on Mac OS X, Windows or Linux.
  • Author
  • Message
Offline

Martin Huesler

  • Posts: 2
  • Joined: Thu Jul 13, 2017 8:38 am

BMD SDK Atem 1 ME Production Studio 4k

PostThu Jul 13, 2017 9:29 am

Dear developers

I try to create an custom app for my HyperDeck Studio 4k and ATEM 1 ME Production Studio 4k.
As I have downloaded the newest SDK from your offical website. I ran the example projects in Visual Studio 2017.

I tried to test my environment with the project SwitchPanelCSharp.
When I try to connect the application with either the Switch or Hyper Deck the following error occurs which is seen in the attachments [1].

The error applies when I try the projects in the Visual Studio Solution or the pre-complied version which is in the SDK folder.

After I entered the IP of the Switcher and press connect the error will show up. The function "connectTo" will be executed but aborts with an exception[1].

What could be the reason I can't connect to the Switcher?
We just updated to the newest firmware (7.1.2) and it's still not working. Do we have to update the SDK since the error sais there's an incompatible firmware[2].

By the way is there an example for the Hyper Deck?
Attachments
errorSwitchPanel2.png
[2]
errorSwitchPanel2.png (2.53 KiB) Viewed 273 times
errorSwitchPanel.png
[1]
errorSwitchPanel.png (24.12 KiB) Viewed 273 times
Offline

Martin Huesler

  • Posts: 2
  • Joined: Thu Jul 13, 2017 8:38 am

Re: BMD SDK Atem 1 ME Production Studio 4k

PostTue Jul 18, 2017 8:45 am

The problem is solved :D
It was an old ATEM switcher software version installed on this maschine :evil:

Return to Software Developers

Who is online

Users browsing this forum: Yahoo [Bot] and 5 guests